Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411156 - Compile TPM support into systemd-boot
Summary: Compile TPM support into systemd-boot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 21:12 UTC by Patrick Uiterwijk
Modified: 2017-01-30 14:33 UTC (History)
8 users (show)

Fixed In Version: systemd-232-11.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 14:33:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrick Uiterwijk 2017-01-08 21:12:32 UTC
Currently, no TPM option is provided on Fedora compilation of systemd, resulting in TPM support being disabled. 
It would be great if we could get systemd compiled with --enable-tpm so that the provided image and options get into a TPM PCR and can be used for sealing data to that one image.

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-01-28 04:07:43 UTC
Indeed. No reason not to do this.


Note You need to log in before you can comment on or make changes to this bug.